Rygel.ResourceInfo – librygel-core Reference Manual

# ResourceInfo

## Object Hierarchy:

## Description:

public class ResourceInfo

Holds information about a particular resource (device and service) implementation.

Namespace: Rygel
Package: librygel-core

## Content:

### Creation methods:

- public ResourceInfo (`string` upnp_id, `string` upnp_type, `string` description_path, `Type` type)

### Fields:

- public `string` upnp_type
- public `string` upnp_id
- public `string` description_path
- public `Type` type